package com.bonus.canteen.core.allocation.flow.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Set;

public class NextInstanceDto {
   @ApiModelProperty("模板id")
   private List<Long> instanceIds;
   private Set<String> scopes;
   private Long operatorId;
   private String operatorName;
   private String remark;

   public List<Long> getInstanceIds() {
      return this.instanceIds;
   }

   public Set<String> getScopes() {
      return this.scopes;
   }

   public Long getOperatorId() {
      return this.operatorId;
   }

   public String getOperatorName() {
      return this.operatorName;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setInstanceIds(final List<Long> instanceIds) {
      this.instanceIds = instanceIds;
   }

   public void setScopes(final Set<String> scopes) {
      this.scopes = scopes;
   }

   public void setOperatorId(final Long operatorId) {
      this.operatorId = operatorId;
   }

   public void setOperatorName(final String operatorName) {
      this.operatorName = operatorName;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
